Multiple Macs needed?

Discussion in 'iPod touch Hacks' started by Craig Christ, Jan 30, 2008.

  1. Craig Christ macrumors member

    Joined:
    May 2, 2007
    #1
    I ran into some serious issues that required me to use multiple Macs in order to get anywhere with this.

    My primary mac, a MacBook Pro OS X.5 running iTunes 7.6, wouldn’t let me downgrade to 1.1.1. Could not restore. An unknown error has occurred (1604). I thought this was due to iT7.6. Delete iTunes and preferences and install iT7.5. Same results. I try restoring to 1.1.3 same error. WTF.

    I go to a Mac Mini running iTunes 7.6 and restore to 1.1.3 fine. I Plug the iPod back into the MBP, it doesn’t detect it. I upgrade to iTunes 7.6, now it sees it but it can’t downgrade. Same 1604 error.

    Since I don’t want to mess with the mini that can restore the Touch to a usable state, I use yet another machine to restore the iPod. An iLamp running Tiger and iTunes 7.5. The first try it gives me unknown error (1). Reboot it fixes it. I successfully get 1.1.1 installed and jailbroke. I get iTunes 7.5 running on the MBP and it STILL doesn’t detect the iPod!?

    So I’m pretty convinced now that I wasn’t doing anything wrong but that my MBP is the one with the issue.
    Any thoughts?

    P.S. I'm rebooting after I post this.
     
  2. boonleng macrumors regular

    Joined:
    Aug 30, 2007
    Location:
    United States
    #2
    I tried downgrading to iTunes 7.5 (from 7.6) and my iPod wasn't recognized either... I think the downgrade process is not clean... just my speculation.

    Anyway, so what I did was I turned to 7.6 for all the upgrade/downgrade/jailbreak. You'll need the latest iNdependence 1.3.2 BETA to help you with that. Jailbreaking with 7.6 is possible.
     
  3. Craig Christ thread starter macrumors member

    Joined:
    May 2, 2007
    #3
    Alright so I just rebooted no luck. I also tried creative a new account = no good. Follow this: iPhone and iPod touch: How to remove and reinstall the Apple Mobile Device Service on Mac OS X http://docs.info.apple.com/article.html?artnum=306637

    In theory, I though the last one would have worked but no go.

    boonleng, do you have more info? Can you downgrade with 7.6? I wonder if Leopard has anything to do with the problems I've been getting? Actually the mini is running Leo and it can restore to 1.1.3 fine, while my MBP can't... hmmmm.
     
  4. boonleng macrumors regular

    Joined:
    Aug 30, 2007
    Location:
    United States
    #4
    Craig,

    I could downgrade ipod's firmware using iTunes 7.6, running in Leopard on an intel iMac. At every single step, I went to 7.5 (on my other mac, a powerbook) and still couldn't get itunes 7.5 to recognize it... After I successfully jailbroke 1.1.3 (all done in iTunes 7.6), I just upgraded my powerbook's iTunes to 7.6.
     
  5. Craig Christ thread starter macrumors member

    Joined:
    May 2, 2007
    #5
    I wonder why I can't upgrade the firmware? You know what, when I was attempting to upgrade FW on the MBP, I might not have been making sure the screen was blank when it was in in restore mode. I only realized later today (well I only starting playing with last night) that it has two different recovery modes. I'm scared to try to run 1.1.2 through my MBP though. But I'll take your word for it and try it.
     
  6. Craig Christ thread starter macrumors member

    Joined:
    May 2, 2007
    #6
    Just thought I'd post an update. I upgraded to FW 1.1.2 and am now Jailbroke. All from my MacBook Pro running iTunes 7.6.

    Now my next question is, is it worth going to 1.1.3? And why?
     
  7. boonleng macrumors regular

    Joined:
    Aug 30, 2007
    Location:
    United States
    #7
    Wirelessly posted (Mozilla/5.0 (iPod; U; CPU like Mac OS X; en) AppleWebKit/420.1 (KHTML, like Gecko) Version/3.0 Mobile/4A93 Safari/419.3)

    Congrats !! For 1.1.3 ... That's entirely up to you ... Frankly, I miss summerboard that let me have custom wallpaper and dock... but I couldn't resist the new google map with locate me button... :)
     
  8. mavis macrumors 68040

    mavis

    Joined:
    Jul 30, 2007
    Location:
    Tokyo, Japan
    #8
    I too had to use a second computer to successfully JB 1.1.3.

    After using the iJailBreak method over my old 1.1.2 JB I decided to start from scratch with 'proper' iPod firmware (the iJailBreak method used iPhone firmware) ... Anyway to make a long story short, I was finally able to get my Touch back to 1.1.2 JB'd only by using a second computer (my old Thinkpad T43 running WinXP - the horror!) ... ;)

    I've got my Touch running 1.1.3 now (I used the 'Official' Dev GUI version, through installer.app) and it's syncing with my iMac (iTunes 7.6) as I type. So far so good! :D
     
  9. bmonzing macrumors newbie

    bmonzing

    Joined:
    Sep 17, 2007
    #9
    Hey man,

    I'm stuck in the same spot you were. After downgrading to iTunes 7.5, my iPod is not recognized. What did you end up doing to get the FW upgrade to 1.1.2 in iTunes 7.6?
     
  10. Craig Christ thread starter macrumors member

    Joined:
    May 2, 2007
    #10
    Do you have a jailbroke 1.1.1 iPod? If so then go to iTunes 7.6 and upgrade to 1.1.2 and jailbreak. So basically, I needed to be in 7.5 in order to downgrade to 1.1.1 and jailbreak. But once I had that running, I went to 7.6 again and was able to upgrade FW to 1.1.2 from iTunes 7.6 and then I jailbroke 1.1.2.

    Hope this helps.
     

Share This Page